import { Component } from 'vue-property-decorator'

import { CMyPage } from '../../components/CMyPage/index'

import { tools } from '@src/store/Modules/tools'
import { Screen } from 'quasar'
import { CCopyBtn, CGuidelines, CImgText, CSignUpNotevole, CTitleBanner, CVideoPromo } from '@components'
import MixinBase from '@src/mixins/mixin-base'
import { static_data } from '@src/db/static_data'
import { UserStore } from '@modules'

@Component({
  mixins: [MixinBase],
  components: { CMyPage, CTitleBanner, CImgText, CCopyBtn, CVideoPromo, CGuidelines, CSignUpNotevole }
})
export default class Intro extends MixinBase {
  public $t: any
  public $q
  public msg: string = ''

  get static_data() {
    return static_data
  }

  public created() {
    if (!tools.getCookie(tools.APORTADOR_SOLIDARIO, ''))
      tools.setCookie(tools.APORTADOR_SOLIDARIO, this.$route.params.invited)
  }

  get invited() {
    return this.$route.params.invited
  }

}
